#python imports
from typing import Optional, List
import sqlite3

#dependency imports
from use_cases.user_repository import IUserRepository
from entities.user import User

class SQLUserRepository(IUserRepository):
    def __init__(self, db_file="framework_driver/db/shop.db"):
        """Initialize the UserDatabase with a connection to the SQLite database."""
        self.conn = sqlite3.connect(db_file)
        self.conn.row_factory = sqlite3.Row
